namespace elm { 
inline ::efl::eolian::return_traits<Evas_Coord>::type Label::wrap_width_get() const
{
   Evas_Coord __return_value =  ::elm_obj_label_wrap_width_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Coord>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Label::wrap_width_set( ::efl::eolian::in_traits<Evas_Coord>::type w) const
{
    ::elm_obj_label_wrap_width_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(w));
}
inline ::efl::eolian::return_traits<double>::type Label::slide_speed_get() const
{
   double __return_value =  ::elm_obj_label_slide_speed_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Label::slide_speed_set( ::efl::eolian::in_traits<double>::type speed) const
{
    ::elm_obj_label_slide_speed_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(speed));
}
inline ::efl::eolian::return_traits<Elm_Label_Slide_Mode>::type Label::slide_mode_get() const
{
   Elm_Label_Slide_Mode __return_value =  ::elm_obj_label_slide_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Label_Slide_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Label::slide_mode_set( ::efl::eolian::in_traits<Elm_Label_Slide_Mode>::type mode) const
{
    ::elm_obj_label_slide_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Label_Slide_Mode,  ::efl::eolian::in_traits<Elm_Label_Slide_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<double>::type Label::slide_duration_get() const
{
   double __return_value =  ::elm_obj_label_slide_duration_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Label::slide_duration_set( ::efl::eolian::in_traits<double>::type duration) const
{
    ::elm_obj_label_slide_duration_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(duration));
}
inline ::efl::eolian::return_traits<Elm_Wrap_Type>::type Label::line_wrap_get() const
{
   Elm_Wrap_Type __return_value =  ::elm_obj_label_line_wrap_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Wrap_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Label::line_wrap_set( ::efl::eolian::in_traits<Elm_Wrap_Type>::type wrap) const
{
    ::elm_obj_label_line_wrap_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Wrap_Type,  ::efl::eolian::in_traits<Elm_Wrap_Type>::type>(wrap));
}
inline ::efl::eolian::return_traits<bool>::type Label::ellipsis_get() const
{
   Eina_Bool __return_value =  ::elm_obj_label_ellipsis_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Label::ellipsis_set( ::efl::eolian::in_traits<bool>::type ellipsis) const
{
    ::elm_obj_label_ellipsis_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(ellipsis));
}
inline ::efl::eolian::return_traits<void>::type Label::slide_go() const
{
    ::elm_obj_label_slide_go(this->_eo_ptr());
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<Evas_Coord>::type Label::wrap_width_get() const
{
   Evas_Coord __return_value =  ::elm_obj_label_wrap_width_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Evas_Coord>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Label::wrap_width_set( ::efl::eolian::in_traits<Evas_Coord>::type w) const
{
    ::elm_obj_label_wrap_width_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Evas_Coord,  ::efl::eolian::in_traits<Evas_Coord>::type>(w));
}
inline ::efl::eolian::return_traits<double>::type Label::slide_speed_get() const
{
   double __return_value =  ::elm_obj_label_slide_speed_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Label::slide_speed_set( ::efl::eolian::in_traits<double>::type speed) const
{
    ::elm_obj_label_slide_speed_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(speed));
}
inline ::efl::eolian::return_traits<Elm_Label_Slide_Mode>::type Label::slide_mode_get() const
{
   Elm_Label_Slide_Mode __return_value =  ::elm_obj_label_slide_mode_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Label_Slide_Mode>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Label::slide_mode_set( ::efl::eolian::in_traits<Elm_Label_Slide_Mode>::type mode) const
{
    ::elm_obj_label_slide_mode_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Label_Slide_Mode,  ::efl::eolian::in_traits<Elm_Label_Slide_Mode>::type>(mode));
}
inline ::efl::eolian::return_traits<double>::type Label::slide_duration_get() const
{
   double __return_value =  ::elm_obj_label_slide_duration_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Label::slide_duration_set( ::efl::eolian::in_traits<double>::type duration) const
{
    ::elm_obj_label_slide_duration_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(duration));
}
inline ::efl::eolian::return_traits<Elm_Wrap_Type>::type Label::line_wrap_get() const
{
   Elm_Wrap_Type __return_value =  ::elm_obj_label_line_wrap_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Wrap_Type>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Label::line_wrap_set( ::efl::eolian::in_traits<Elm_Wrap_Type>::type wrap) const
{
    ::elm_obj_label_line_wrap_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Wrap_Type,  ::efl::eolian::in_traits<Elm_Wrap_Type>::type>(wrap));
}
inline ::efl::eolian::return_traits<bool>::type Label::ellipsis_get() const
{
   Eina_Bool __return_value =  ::elm_obj_label_ellipsis_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Label::ellipsis_set( ::efl::eolian::in_traits<bool>::type ellipsis) const
{
    ::elm_obj_label_ellipsis_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(ellipsis));
}
inline ::efl::eolian::return_traits<void>::type Label::slide_go() const
{
    ::elm_obj_label_slide_go(this->_eo_ptr());
}
inline elm::Label::operator ::elm::Label() const { return *static_cast< ::elm::Label const*>(static_cast<void const*>(this)); }
inline elm::Label::operator ::elm::Label&() { return *static_cast< ::elm::Label*>(static_cast<void*>(this)); }
inline elm::Label::operator ::elm::Label const&() const { return *static_cast< ::elm::Label const*>(static_cast<void const*>(this)); }
} }

